:root {
	--Grays-25: #fcfcfd;
	--Grays-50: #f9fafb;
	--Grays-100: #f2f4f7;
	--Grays-200: #eaecf0;
	--Grays-300: #d0d5dd;
	--Grays-500: #667085;
	--Grays-900: #101828;
	--Primary-yellow: #fad12e;
	--Secondary-yellow: #edc62c;
	--Primary-blue: #2ab8eb;
	--Primary-pink: #da3289;
}

.footer {
	padding: 3rem 0 2rem;
	background: var(--Grays-100);
}
.footer .black-link {
	color: var(--Grays-900);
	-webkit-transition: color 0.2s;
	transition: color 0.2s;
	text-decoration: none;
}
.footer .black-link:hover {
	color: var(--Primary-yellow);
}
.footer .black-link.focus {
	color: var(--Primary-yellow);
}
.footer__top {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
	flex-wrap: wrap;
	gap: .9375rem;
	padding: 0 0 1.5rem;
	border-bottom: 0.0625rem solid var(--Grays-500);
}
.footer__phone {
	font-weight: 700;
	font-size: 1.25rem;
	color: var(--Grays-500);
	line-height: 150%;
	text-decoration: none;
	-webkit-transition: color 0.2s;
	transition: color 0.2s;
}
.footer__phone:hover {
	color: var(--Secondary-yellow);
}
.footer__content {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	gap: 2rem 0;
	padding: 1.5rem 0 3.125rem;
	border-bottom: 0.0625rem solid var(--Grays-500);
}
.footer__item-title {
	margin: 0 0 1rem;
	font-weight: 700;
	font-size: 1.5rem;
	color: var(--Grays-900);
	line-height: 150%;
}
.footer__item-content {
	--Columns: 4;
	--Column-gap-width: 1.25rem;
	--Column-gaps: calc(var(--Columns) - 1);
	--Column-width: calc((100% - var(--Column-gaps) * var(--Column-gap-width)) / var(--Columns));
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	gap: var(--Column-gap-width);
	gap: 0.75rem var(--Column-gap-width);
	font-weight: 500;
}
.footer__item-content > * {
	-webkit-box-flex: 0;
	-ms-flex: 0 1 var(--Column-width);
	flex: 0 1 var(--Column-width);
}
.footer__bottom {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	flex-wrap: wrap;
	gap: .9375rem;
	padding: 1.5rem 0 0;
}
.footer__bottom-left {
	line-height: 150%;
}
.footer__social {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	gap: 0 0.9375rem;
}
.footer__social-item {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	width: 3.125rem;
	height: 3.125rem;
	border-radius: 0.625rem;
	background: var(--Grays-200);
}
.footer__social-item path {
	-webkit-transition: fill 0.2s;
	transition: fill 0.2s;
}
.footer__social-item_vk:hover path {
	fill: #07f;
}
.footer__social-item_avito:hover path:first-child {
	fill: #35dc72;
}
.footer__social-item_avito:hover path:nth-child(2) {
	fill: #8a3ffc;
}
.footer__social-item_avito:hover path:nth-child(3) {
	fill: #f63e3e;
}
.footer__social-item_avito:hover path:last-child {
	fill: #099cee;
}
.footer .contacts__item {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	gap: 0.5rem;
}
.footer .contacts__location {
	-webkit-box-flex: 1;
}
.footer .contacts__location-city,
.footer .contacts__location-street {
	display: block;
}
.footer .contacts__working-hours {
	font-weight: 400;
	color: var(--Grays-500);
	margin: 0;
}
.contacts__working-hours td:first-child {
    max-width: 2rem;
}
.footer .contacts__phone {
	font-weight: 500;
	line-height: 150%;
	color: var(--Grays-900);
}

@media (max-width: 859px) {
   .footer__item-content {
		--Columns: 2;
		gap: 1.875rem var(--Column-gap-width);
	}
	.footer .contacts__location-city,
	.footer .contacts__location-street {
		display: inline-block;
	}
}

@media (max-width: 768px) {
	.footer__date,
	.footer__rights-reserved {
		display: block;
	}
}

@media (max-width: 550px) {
	.footer__logo.logo .logo__icon {
		display: none;
	}
	.footer__logo {
		flex: 1 1 100%;
	}
	.footer__item-content {
		--Columns: 1;
	}
	.footer__bottom-left {
		flex: 1 1 100%;
		order: 2;
	}
	.footer__bottom-right {
		order: 1;
	}
	.footer__date,
	.footer__rights-reserved {
		display: inline-block;
	}
}
